* {box-sizing:border-box}
.crossword-container {position:relative}
.crossword-container .crossword-row {width:700px;height:35px;clear:both}
.crossword-container .crossword-row .crossword-cell {width:35px;height:35px;float:left;border-right:solid 1px #000;border-bottom:solid 1px #000;font-size:22px;font-weight:600;text-align:center;font-family:Arial;padding:10px 4px 4px 4px;background-color:RGBA(255, 255, 0, 0.1);text-transform:uppercase}
.crossword-container .crossword-row .crossword-cell:first-child {border-left:solid 1px #000}
.crossword-container .crossword-row .crossword-cell:last-child {border-right:solid 1px #000}
.crossword-container .crossword-row:first-child .crossword-cell {border-top:solid 1px #000}
.crossword-container .crossword-row:last-child .crossword-cell {border-bottom:solid 1px #000}

.crossword-container .crossword-row .crossword-cell.letter {background-color:#ff0}
.crossword-container .crossword-row .crossword-cell.solution-letter {background-color:#f90}
.crossword-container .crossword-row .crossword-cell.found {background-color:#fff}
.crossword-container .crossword-row .crossword-cell.error-letter {background-color:#f00}

.crossword-container .number {position:absolute;left:0;top:0;display:inline-block;font-weight:600;font-size:10px}
.crossword-container .solution-number {color:#333}
.crossword-container .vertical-number {color:#00f}
.crossword-container .horizontal-number {color:#090}
